nvtt: nvtt::CPUInputBuffer Struct Reference

nvtt

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
nvtt::CPUInputBuffer Struct Reference

Structure containing all the input images from host memory. The image data is reordered by tiles. More...

`#include <nvtt_lowlevel.h>`

## Public Member Functions

NVTT_API | CPUInputBuffer (const RefImage *images, ValueType value_type, int numImages=1, int tile_w=4, int tile_h=4, float WeightR=1.0f, float WeightG=1.0f, float WeightB=1.0f, float WeightA=1.0f, nvtt::TimingContext *tc=nullptr, unsigned *num_tiles=nullptr)
| Construct a CPUInputBuffer from 1 or more RefImage structs.
NVTT_API | ~CPUInputBuffer ()
| Destructor.
NVTT_API int | NumTiles () const
| The total number of tiles of the input buffer.
NVTT_API void | TileSize (int &tile_w, int &tile_h) const
| Tile Size.
NVTT_API ValueType | Type () const
| Value type. The same as the input images used for creating this object.
NVTT_API void * | GetTile (int i, int &vw, int &vh) const
| Get a pointer to the i-th tile. Mainly used internally.

## Public Attributes

Private * | m

## Detailed Description

Structure containing all the input images from host memory. The image data is reordered by tiles.

## Constructor & Destructor Documentation

## ◆ CPUInputBuffer()

NVTT_API nvtt::CPUInputBuffer::CPUInputBuffer | ( | const RefImage * | images,
|  | ValueType | value_type,
|  | int | numImages = 1,
|  | int | tile_w = 4,
|  | int | tile_h = 4,
|  | float | WeightR = 1.0f,
|  | float | WeightG = 1.0f,
|  | float | WeightB = 1.0f,
|  | float | WeightA = 1.0f,
|  | nvtt::TimingContext * | tc = nullptr,
|  | unsigned * | num_tiles = nullptr )

Construct a CPUInputBuffer from 1 or more RefImage structs.

The input images should use the same value type. `images[i].data` should point to host memory here. `num_tiles` can be an array of numImages elements used to return the number of tiles of each input image after reordering.

The documentation for this struct was generated from the following file:

- nvtt/nvtt_lowlevel.h